use index_builder::build_index;
use rocket::fs::FileServer;
use rocket::response::content::RawHtml;

mod index_builder;


#[macro_use] extern crate rocket;

#[get("/")]
fn index() -> RawHtml<String> {
    RawHtml(build_index())
    
}

#[launch]
fn rocket() -> _ {
    rocket::build()
    .mount("/", routes![index])
    .mount("/", FileServer::from("./static"))
}
